aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor Pashev <igor.pashev@nexenta.com>2013-04-08 14:43:15 +0400
committerIgor Pashev <igor.pashev@nexenta.com>2013-04-08 14:43:15 +0400
commitec37c61512bc2a487240c77b18fe0b2b3bc9a76c (patch)
treeded9195e8b9ae18d3f7bcc1c8370a7ad2eaa7cab
parent86632ef8ac793d54f1b9b2048a62c0d7134eaa0d (diff)
downloadcibs-ec37c61512bc2a487240c77b18fe0b2b3bc9a76c.tar.gz
Added scripts/make-payloadv0.3.1
-rw-r--r--Makefile2
-rwxr-xr-xscripts/make-payload22
2 files changed, 23 insertions, 1 deletions
diff --git a/Makefile b/Makefile
index 08aab2e..59b5c45 100644
--- a/Makefile
+++ b/Makefile
@@ -11,7 +11,7 @@ cibs-inst-root := /usr/share/cibs
include $(cibs-root)/rules/$(package).mk
name := cibs
-version := 0.3.0.2
+version := 0.3.1
install-stamp: rules-mogrify-stamp
diff --git a/scripts/make-payload b/scripts/make-payload
new file mode 100755
index 0000000..ec88f0a
--- /dev/null
+++ b/scripts/make-payload
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+set -u
+
+usage() {
+ echo "$0 [directory]"
+ exit 1
+}
+
+if [ $# = 1 ]; then
+ cd "$1" || usage
+elif [ $# != 0 ]; then
+ usage
+fi
+
+gfind * -type d -printf 'dir path=%p\n'
+gfind * -type f -printf 'file path=%p\n'
+gfind * -type l -printf 'link path=%p target=%l\n'
+
+exit 0
+